<?php
/**
 * TGM Plugin Lists
 */

// Include the TGM_Plugin_Activation class.
require trailingslashit( get_template_directory() ) . 'inc/ext/tgmpa.php';

/**
 * Register required and recommended plugins.
 */
function remaster_register_plugins() {

	$plugins = array(

		array(
			'name'     => 'TJ Extras',
			'slug'     => 'tj-extras',
			'source'   => trailingslashit( get_template_directory() ) . 'inc/plugins/tj-extras.zip',
			'required' => true,
		),

		array(
			'name'     => 'MailOptin',
			'slug'     => 'mailoptin',
			'required' => false,
		),

		array(
			'name'     => 'Contact Form 7',
			'slug'     => 'contact-form-7',
			'required' => false,
		),

		array(
			'name'     => 'Elementor',
			'slug'     => 'elementor',
			'required' => true,
		),

		array(
			'name'     => 'One Click Demo Import',
			'slug'     => 'one-click-demo-import',
			'required' => false,
		),

		array(
			'name'     => 'Cue',
			'slug'     => 'cue',
			'required' => false,
		),

		array(
			'name'     => 'The Events Calendar',
			'slug'     => 'the-events-calendar',
			'required' => false,
		),

		array(
			'name'     => 'Event Tickets',
			'slug'     => 'event-tickets',
			'required' => false,
		),

	);

	$config = array(
		'id'           => 'tgmpa',
		'default_path' => '',
		'menu'         => 'tgmpa-install-plugins',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',
	);

	tgmpa( $plugins, $config );

}
add_action( 'tgmpa_register', 'remaster_register_plugins' );
