<?php if ( has_nav_menu ( 'primary' ) ) : ?>
	<nav class="main-navigation" id="site-navigation">
		<?php wp_nav_menu(
			array(
				'theme_location'  => 'primary',
				'menu_id'         => 'menu-primary-items',
				'menu_class'      => 'menu-primary-items',
				'container'       => false
			)
		); ?>

		<?php if ( has_nav_menu ( 'mobile' ) ) : ?>
			<a href="#" class="menu-toggle"><i class="icon-menu"></i></a>
		<?php endif; ?>

		<?php get_template_part( 'partials/menu/search' ); ?>

	</nav>
<?php endif; ?>
